###--- >>> `arma' <<<----- Fit ARMA Models to Time Series

	## alias	 help(arma)
	## alias	 help(coef.arma)
	## alias	 help(residuals.arma)
	## alias	 help(fitted.arma)
	## alias	 help(print.arma)
	## alias	 help(summary.arma)
	## alias	 help(plot.arma)
	## alias	 help(print.summary.arma)

##___ Examples ___:

data (tcm)  
r <- diff(tcm10y)
summary (r.arma <- arma (r, order = c(1, 0)))
summary (r.arma <- arma (r, order = c(2, 0)))
summary (r.arma <- arma (r, order = c(0, 1)))
summary (r.arma <- arma (r, order = c(0, 2)))
summary (r.arma <- arma (r, order = c(1, 1)))
plot (r.arma)

data (nino)
s <- nino3.4
summary (s.arma <- arma (s, order=c(20,0)))
summary (s.arma
         <- arma (s, lag=list(ar=c(1,3,7,10,12,13,16,17,19),ma=NULL)))
acf (residuals(s.arma), na.action=na.remove)
pacf (residuals(s.arma), na.action=na.remove)
summary (s.arma
         <- arma (s, lag=list(ar=c(1,3,7,10,12,13,16,17,19),ma=12)))
summary (s.arma
         <- arma (s, lag=list(ar=c(1,3,7,10,12,13,16,17),ma=12)))
plot (s.arma)

## Keywords: 'ts'.


